import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class MeanFinanceContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    meanFinanceHub({ address, network }: ContractOpts): import("./ethers").MeanFinanceHub;
    meanFinancePermissionManager({ address, network }: ContractOpts): import("./ethers").MeanFinancePermissionManager;
    meanFinanceTransformerRegistry({ address, network }: ContractOpts): import("./ethers").MeanFinanceTransformerRegistry;
}
export type { MeanFinanceHub } from './ethers';
export type { MeanFinancePermissionManager } from './ethers';
export type { MeanFinanceTransformerRegistry } from './ethers';
